import React, { Component } from "react";
import Taro from "@tarojs/taro";
import { View, } from "@tarojs/components";
import { AtDrawer, AtIndexes, } from "taro-ui";
import { bankList } from '../../../utils/tools/config';

import './index.less';
import "taro-ui/dist/style/components/toast.scss";
import "taro-ui/dist/style/components/indexes.scss";
import "taro-ui/dist/style/components/list.scss";

class BankModal extends Component {
  constructor(props) {
    super(props);
    this.state = {
      isshowDrawer: false,
      hotList: [
        { 'name': '中国银行' },
        { 'name': '中国工商银行' },
        { 'name': '中国农业银行' },
        { 'name': '中国建设银行' },
        { 'name': '招商银行' },
        { 'name': '交通银行' },
        { 'name': '长沙银行' },
        { 'name': '中国邮政储蓄银行' },
      ],
    }
  }

  componentDidMount() {

  }

  onClick(i) {
    const { getHot } = this.props;
    getHot(i)
  }


  render() {
    const { hotList, } = this.state
    const { isshowDrawer, closeshowDrawer, getHot } = this.props;
    return (
      <View className="bank">
        <AtDrawer
          width="100%"
          className='drawer'
          show={isshowDrawer}
          mask
        >
          <View className='top'>
            <View className='top-left'></View>
            <View className='top-title'>银行选择</View>
            <View className='top-right' onClick={(e) => closeshowDrawer()}>✖️</View>
          </View>
          <AtIndexes
            topKey='常'
            list={bankList}
            onClick={this.onClick.bind(this)}
            onScrollIntoView={fn => { this.scrollIntoView = fn }}
            animation
          >
            <View className='custom'>
              <View className="tops"></View>
              <View className='at-indexes__list-title' >常用银行</View>
              <View className='drawer-hot'>
                {
                  hotList.map((item, index) => (
                    <View
                      key={index}
                      className='drawer-hot-item'
                      onClick={() => getHot(item)}
                    >
                      <View className='font'>
                        {item.name}
                      </View>
                    </View>
                  ))
                }
              </View>
            </View>
          </AtIndexes>
        </AtDrawer>
      </View>
    );
  }
}

export default BankModal;
