import React, { Component } from "react";
import Taro, { getCurrentInstance } from "@tarojs/taro";
import { connect } from "react-redux";
import { View, Button, } from "@tarojs/components";
import { AtInput, AtButton, AtRadio, AtModal, AtModalContent, AtModalAction } from "taro-ui";
import "taro-ui/dist/style/components/button.scss";
import "taro-ui/dist/style/components/radio.scss";
import "taro-ui/dist/style/components/input.scss";
import "taro-ui/dist/style/components/icon.scss";
import { creatOrder } from '../../utils/servers/servers';
import { accountList, nonBusiness } from '../../utils/tools/config';
import "./index.less";

class applyReimbursement extends Component {
  $instance = getCurrentInstance();

  constructor(props) {
    super(props);
    this.state = {
      type: -1,
      other: "",
      noType: -1,
      others: "",
      popup: false,
    };
  }

  handleChange(e) {
    this.setState({
      type: e,
      popup: e == 2 ? true : false
    })
  }

  onInputChange(e) {
    this.setState({
      other: e
    })
  }

  onNoChange(e) {
    this.setState({
      noType: e
    })
  }

  onNoInputChange(e) {
    this.setState({
      others: e
    })
  }

  componentDidShow() {

  }

  componentDidMount() {

  }

  // 不需要prid绑定，直接发起
  creatOrder() {
    const { type, other, noType, others } = this.state
    if (type == 2) {
      if (noType == -1) {
        Taro.showToast({
          title: '非业务报销需选择二级分类',
          icon: 'none'
        })
        return
      }
    }
    Taro.showLoading({ title: '处理中...' });
    creatOrder({
      type,
      typeOther: other,
      secondaryType: type == 2 ? noType : "",
      secondaryTypeOther: others,
    }).then(v => {
      Taro.hideLoading()
      if (v.error.length === 0) {
        Taro.redirectTo({
          url: '/pages/drafts/index?id=' + v.data
        })
      } else {
        Taro.showToast({ title: v.error[0].message, icon: 'none' })
      }
    }).catch(() => {
      Taro.showToast({
        title: '系统错误,请稍后再试',
        icon: 'none'
      })
    })
  }


  render() {
    const { type, other, popup, noType, others } = this.state
    return (
      <View className="reimbursement">
        <View>
          <View className="rtit">请选择报销费用类型</View>
          <View className="rlist">
            <AtRadio
              options={accountList}
              value={type}
              onClick={this.handleChange.bind(this)}
            />
            {type == 0 &&
              <AtInput
                name='other'
                type='text'
                placeholder='请填写明细'
                value={other}
                onChange={this.onInputChange.bind(this)}
              />}
            <View className="rlbuttom">
              <AtButton
                type="primary"
                circle
                onClick={() => {
                  if (type == -1) {
                    Taro.showToast({
                      title: '请选择报销费用类型',
                      icon: 'none'
                    })
                  } else if (type == 0 && !other) {
                    Taro.showToast({
                      title: '请填写其他明细',
                      icon: 'none'
                    })
                  } else if (type == 0 && other.length > 10) {
                    Taro.showToast({
                      title: '不能超过10个字符',
                      icon: 'none'
                    })
                  } else {
                    this.creatOrder()
                  }
                }}
              >
                确定
              </AtButton>
            </View>
          </View>
        </View>

        {
          (type == 2) && popup &&
          <AtModal
            isOpened={(type == 2) && popup}
            closeOnClickOverlay={false}
          >
            <AtModalContent>
              <View className="rlist">
                <AtRadio
                  options={nonBusiness}
                  value={noType}
                  onClick={this.onNoChange.bind(this)}
                />
                {noType == 0 &&
                  <AtInput
                    name='others'
                    type='text'
                    placeholder='请填写明细'
                    value={others}
                    onChange={this.onNoInputChange.bind(this)}
                  />}
              </View>
            </AtModalContent>
            <AtModalAction>
              <Button onClick={() => {
                this.setState({
                  popup: false
                })
              }}>上一步</Button>
              <Button onClick={() => {
                if (noType == -1) {
                  Taro.showToast({
                    title: '请选择费用类型',
                    icon: 'none'
                  })
                } else if (noType == 0 && !others) {
                  Taro.showToast({
                    title: '请填写其他明细',
                    icon: 'none'
                  })
                } else if (noType == 0 && others.length > 10) {
                  Taro.showToast({
                    title: '不能超过10个字符',
                    icon: 'none'
                  })
                } else {
                  this.setState({
                    popup: false
                  })
                }
              }}>确定</Button>
            </AtModalAction>
          </AtModal>
        }
      </View >
    );
  }
}

export default applyReimbursement;
