/* eslint-disable import/prefer-default-export */
import HTTPREQUEST from "./http"
import Taro from "@tarojs/taro";

//登录
export const login = (res) => {
  return new Promise(async (resolve, reject) => {
    Taro.showLoading({
      title: '登录中...',
    })
    try {
      let msg = await HTTPREQUEST.post('/managesignin', {
        mobile: res.username,
        password: res.password,
        remeber: false
      });
      if (msg.error.length === 0) {
        Taro.setStorageSync('token', msg.token);
        Taro.setStorageSync('userInfor', msg.data);
        Taro.hideLoading();
        Taro.showToast({ title: '登录成功', icon: 'success' })
        resolve(msg);
      } else {
        Taro.hideLoading();
        Taro.showToast({ title: msg.error[0].message, icon: 'none' })
        reject();
      }
    } catch (err) {
      Taro.showToast({ title: '系统错误,请稍后重试', icon: 'none' });
      Taro.hideLoading();
      reject();
      // console.log(err,'login')
    }
  })
}

//获取微信参数
export const getWxConfig = (postData = {}) => {
  return HTTPREQUEST.get('/open/getWxConfig', postData)
}

export const setOpenId = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/setOpenId', postData)
}

//获取知道部门作息时间
export const getWorkingHours = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/department/workingHours/get', postData)
}

// 测试
export const test = (postData = {}) => {
  return HTTPREQUEST.get('/open/getVCode', postData)
}

// 查询客户订单
export const getOrderByUid = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/release/selectOrderByUid', postData)
}

export const getUserByName = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/customer/getUserByNames', postData)
}

// 我的公出列表
export const getPublicReleaseList = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/release/listPublicRelease', postData)
}

// 部门列表
export const getDepartmentList = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/organization/selectSuperId', postData)
}

// 新增报销
export const creatOrder = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccount/add', postData)
}

// 发起未提交
export const selectByPrid = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/selectByPrid', postData)
}

// 草稿箱详情
export const getPridDetail = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/selectById', postData)
}

// 新-报销记录详情
export const getMainExpenseDetail = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/mainExpense', postData)
}

// 私有账号列表
export const selectList = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccountPrivate/selectList', postData)
}

// 新增私有账户
export const addAccount = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccountPrivate/add', postData)
}

// 修改私有账户
export const editAccount = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccountPrivate/update', postData)
}

// 设置默认账户
export const updateStatus = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccountPrivate/updateStatus', postData)
}

// 报销记录列表
export const getRecordList = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/pageList', postData)
}

// 主报销记录列表
export const getNewRecordList = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/mainList', postData)
}

// 报销审核流程
export const getAccountLog = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/log/list', postData)
}

// 报销详情金额列表
export const getAccountList = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/details/list', postData)
}

// 新增报销详情
export const detailsAdd = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccount/details/add', postData)
}

// 删除报销详情
export const detailsDelete = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/details/delete', postData)
}

// 修改报销
export const subAccount = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccount/update', postData)
}

// 获取借支列表
export const getDrbitNote = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/selectDebitOrder', postData)
}

// 报销审核
export const AccountExamine = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccount/examine', postData)
}

// 合并报销
export const subMrge = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/merge', postData)
}

// 删除报销
export const onDel = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccount/delete', postData)
}

// 修改主报销
export const subMainAccount = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccount/updateMain', postData)
}

// 撤销已选抵扣
export const updateDebitld = (postData = {}) => {
  return HTTPREQUEST.post('/api/admin/expenseAccount/updateDebitId', postData)
}

// 获取
export const getDepInfo = (postData = {}) => {
  return HTTPREQUEST.get('/api/admin/expenseAccount/getDepDetails', postData)
}